SmartMemory
POST
/memory/adapters/google_calendar/list

One page of events. Body {calendar_id?, state?}; state is {watermark, page_state} from the last page.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

body?Payload

Response Body

application/json

application/json

curl -X POST "https://example.com/memory/adapters/google_calendar/list"
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}